Subject: bug#12311: (special-mode-map): Delete binding for `z'.

From: "Drew Adams" <[email-masked]>
Date: Sun, 2 Sep 2012 06:39:24 -0700

> > Or `C-x v' if you want to replace it.
> 
> C-x v is the vc prefix for me.

I meant C-x C-v.

> > But are there special-mode buffers where `z' killing the 
> > buffer is really useful?  If so, then maybe the fix was
> > too heavy-handed.
> 
> I don't think special-mode buffers are "precious" - they are easily
> restored, so killing them accidentally should not be a problem.
> Apparently others disagree.

I don't necessarily disagree, for one.

Richard's point was that not all special-mode buffers are non-precious.  Your
point is that not all special-mode buffers are precious.

My point was about Dired (only): to not have Dired inherit from
special-mode-map.  The problem was expressed in terms of Dired mode.  But the
fix was to special-mode-map.

So far, the only special-mode buffers mentioned have been *Help* and Dired.  To
me, *Help* is far from precious and Dired is one where I agree with Richard that
you don't want to be accidentally killing the buffer.

I can't speak to what is most appropriate for special mode in general.  My point
was about Dired, where I agree with Richard about the annoyance/problem, but I
don't agree about the wider-ranging fix.

> > Killing the buffer is not the only or the most useful behavior `z'
> > could have in Dired.  Dired is a rich mode with lots of keys already
> > taken and with plenty of commands that could be bound to keys.
> 
> So bind it in dired mode. The change affects all the other 
> special modes!

That is what I proposed: separate Dired from special-mode.